const { app, ipcMain } = require('electron');

const WLDAPI = require('./src/scripts/api');
const WLDMain = require('./src/scripts/WLD/WLDMain');
const WLDWindow = require('./src/scripts/WLD/WLDWindow');
const WLDLanguage = require('./src/scripts/WLD/WLDLanguage');

app.whenReady().then(() => {
	WLDWindow.init();
	WLDLanguage.init();
	WLDMain.begin();

	ipcMain.on('api', (_, { controller, args }) => WLDAPI.controllers[controller](args));
});

app.on('window-all-closed', () => app.quit());
