import './style.css'
import React from 'react'
import { toggle, linearGradient } from './functions'

const X = () => <div className='capsula-result-canceled'>x</div>
const Positive = () => <div className='capsula-result-positive'>+</div>
const Negative = () => <div className='capsula-result-negative'>-</div>
const Percent = ({ data: percent }) => <div className='capsula-result-percent cw'>{percent}</div>

export default function Capsula(props) {
	const { number, canOpen, percent, color, state, canceled, type } = props?.data

	var _resultCapsula = canceled ? <X /> : typeof state !== 'boolean' ? <Percent data={state} /> : !state ? <Negative /> : <Positive />

	return (
		<div className="capsula-wrapper flex w90p minw90 h440p align-fe justify-ct" onClick={() => toggle(canOpen, number)}>
            <div className="capsula-content flex w100p h440p align-ct fd-column" style={{ backgroundColor: (type) && (canceled) && 'rgba(0,0,0, 0.75)' }}>
                <div className="capsula-result flex h100p w100 center">{_resultCapsula}</div>
                <div className="capsula-number flex center cw">{number}</div>
            </div>
            <div className="flex w100" style={{ height: `${percent}%`, backgroundImage: linearGradient(color)}}/>
            <svg id="capsula" width='0' height='0' viewBox='0 0 72 388' fill='none' xmlns='http://www.w3.org/2000/svg'>
                <clipPath id='mask'>
                    <path d='M88.0233 14.6805C81.1752 -0.863367 17.5379 -8.54986 0 14.6805V131.344C-2.54863e-05 134.248 8.44932 135.092 13.8633 137.494V440H77.5006L75.1622 137.494C80.6741 136.127 87.3552 134.59 89.3596 131.344C91.3639 128.099 88.0233 14.6805 88.0233 14.6805Z' fill='#C4C4C4' stroke="white" strokeWidth="5"/>
                </clipPath>
            </svg>
		</div>
	)
}
