import './style.css';
import React from 'react';

const confirm = (type) => window.api.send('ALERT/Confirm', type);
const close   = (type) => window.api.send('ALERT/Close',   type);

export const Buttons = ({ children }) => <div className='flex full align-ct'>{children}</div>
export const Content = ({ children }) => <div className='content-alerta flex br bd fd-column'>{children}</div>
export const Text    = ({ data: { text }}) => <div className='text-alerta flex w100 center' style={{ textAlign: 'center' }}>{text}</div>
export const Title   = ({ data: { title }}) => <div className='title-alerta flex w100 center'>{title}</div>
export const _button = ({ data: { func, btn }}) => <div className='button-alerta flex center bd br' onClick={func}>{btn}</div>
export const Button  = ({ data: { f, btn, index} }) => <div className='flex full center'><_button data={{ func: (f) ? () => confirm(index) : () => close(index), btn }} /></div> 
export const Wrapper = ({ children, data: { index } }) => <div className='wrapper-alerta flex w100 center' style={{ zIndex: index }}>{children}</div>