import '../style.css';
import React from "react";
import { PDF, PRINTER } from '../../../../../icons';

export const Wrapper = ({ children }) => <div className='wrapper-essays flex w100 center'>{children}</div>
export const Content = ({ children }) => <div className='content flex w95 h90 fd-column'>{children}</div>
export const Left    = ({ children }) => <div className='flex full fd-column pdd24 gap20'>{children}</div>
export const Right   = ({ children }) => <div className='flex h80p center border-top'>{children}</div>
export const Button  = ({ data: { onClick = () => {}, text } }) => <div className='flex w100p h50p center bd bi cw fs20p br mr16' onClick={onClick}>{text}</div>

const Separator = () => <div className='flex w5p fs24p center h100'>|</div>

const translate = window.language.translate;

export function Header() {
    return (
        <div className='line flex align-ct' style={{ backgroundImage: 'linear-gradient(#194ca0, #060f30)', color: 'white' }}>
          <div className='flex h100 center' style={{ width: '100px' }}>{translate(44)}</div>
          <Separator />
          <div className='flex h100 center' style={{ width: '200px' }}>{translate(45)}</div>
          <Separator />
          <div className='flex h100 center' style={{ width: '100px' }}>{translate(46)}</div>
          <Separator />
          <div className='flex h100 center' style={{ width: '60px' }}>{translate(202)}</div>
          <Separator />
          <div className='flex h100 center' style={{ width: '150px' }}>{translate(47)}</div>
          <Separator />
          <div className='flex h100 center' style={{ width: '230px' }}>{translate(48)}</div>
          <Separator />
          <div className='flex h100 center' style={{ width: '130px' }}>{translate(49)}</div>
          <Separator />
          <div className='flex h100 center' style={{ width: '200px' }}>{translate(50)}</div>
        </div>
    )
  }

export function Line(props) {

	const { id_essay, incub, date, hour, equip, type, result, cavity } = props['data'];

    const addPrint = (e) => {
		e.stopPropagation();
		(result != translate(51)) && window.api.send('print', { id_essay });
	}

	const createPdf = (e) => {
		e.stopPropagation();
		(result != translate(51)) && window.api.send('pdf', id_essay);
	}

	const openReport = () => {
        window.api.send('openReport', { id: id_essay, index: parseInt(cavity) - 1 });
    }

    return (
        <div className='line flex align-ct' onClick={openReport}>
            <div className='flex h100 center' style={{ width: '100px'}}>{incub}</div>
            <Separator />
            <div className='flex h100 center' style={{ width: '200px'}}>{date}</div>
            <Separator />
            <div className='flex h100 center' style={{ width: '100px'}}>{hour}</div>
            <Separator />
            <div className='flex h100 center' style={{ width: '60px'}}>{cavity}</div>
            <Separator />
            <div className='flex h100 center' style={{ width: '150px'}}>{equip}</div>
            <Separator />
            <div className='flex h100 center' style={{ width: '230px'}}>{type}</div>
            <Separator />
            <div className='flex h100 center' style={{ width: '130px'}}>{result}</div>
            <Separator />
            <div className='flex h100 center gap32' style={{ width: '200px'}}>
                <div className='flex h100 align-ct' onClick={addPrint} >{(result != 'Em Andamento') && <PRINTER />}</div>
                <div className='flex h100 align-ct' onClick={createPdf}>{(result != 'Em Andamento') && <PDF />}</div>
            </div>
        </div>
    )
}