import './style.css';
import { BACK } from '../../../../icons';
import React, { useState, useEffect } from 'react';
import { Button, Content, Left, Right, Wrapper, Line, Header } from './components';

export default function Essays(props) {

	const { array } = props['data'];
	const [pages, setMaxPages] = useState(0)
	const [currentPage, setCurrentPage] = useState(1)
	
	const generateArray = (item, index) => (index >= (currentPage - 1) * 6 && index < currentPage * 6) && <Line key={item['id_essay']} data={item} />
	
	const minusPage = () => (currentPage - 10 < 1) 	   ? 1 	   : currentPage - 10;
	const addPage   = () => (currentPage + 10 > pages) ? pages : currentPage + 10;
	const nextPage  = () => (currentPage !== pages) 	&& setCurrentPage(prev => prev + 1);
	const prevPage  = () => (currentPage !== 1) 		&& setCurrentPage(prev => prev - 1);
	const setMax    = () => setCurrentPage(addPage);
	const setMin    = () => setCurrentPage(minusPage);
	const goBack    = () => window.api.renderer({ mode: 'popup', type: 'essays', visible: false });

	const paginaAtual = (pages == 0) ? '' : `${currentPage} / ${pages}`

	// eslint-disable-next-line
	useEffect(() => setMaxPages(Math.ceil(array.length / 6)), []);

	return (
		<Wrapper>
			<Content>
				<Left>
					<Header />
					{(array.length > 0) && array.map((item, index) => generateArray(item, index))}
				</Left>
				<Right>
					<Button data={{ onClick: goBack, 	text: <BACK/> }} />
					<Button data={{ onClick: setMin,	text: '-10' }} />
					<Button data={{ onClick: prevPage,  text: '<' }} />
					<Button data={{ text: paginaAtual }} />
					<Button data={{ onClick: nextPage, 	text: '>' }} />
					<Button data={{ onClick: setMax,  	text: '+10' }} />
				</Right>
			</Content>
		</Wrapper>
	)
}