import './style.css';
import React from 'react';
import Key from './functions';
import { Field } from '../../common';
import KeyboardKey from './KeyboardKey';

export default function KeyboardOne(props) {

    const { id, text, placeholder, mode, f: { setKeyboardMode, setKeyboardText }} =  props['data'];
    
    const _call = { text, setKeyboardMode, setKeyboardText, text, id };
    const array = Key(mode, _call);
    const isLast = (mode == 3) ? 16 : 20;
    const fieldData = { text, placeholder };

    return (
        <div className="keyboard-wrapper flex w100 center">
            <div className="keyboard-content flex center bd br fd-column">
                <Field data={fieldData}/>
                <div className="flex w100 fd-row">
                    {array.map((keyData, idx) => (idx < 10) 
                        && <KeyboardKey key={keyData['keyName']} data={keyData} />)}
                </div>
                <div className="flex w100 fd-row">
                    {array.map((keyData, idx) => (idx >= 10 && idx < isLast) 
                        && <KeyboardKey key={keyData['keyName']} data={keyData} />)}
                </div>
                <div className="flex w100 fd-row" id="keyboard-line-low">
                    {array.map((keyData, idx) => (idx >= isLast && idx < array.length - 5) 
                        && <KeyboardKey key={keyData['keyName']} data={keyData} />)}
                </div>
                <div className='flex w100 fd-row' id="keyboard-line-lower">
                    {array.map((keyData, idx) => (idx >= array.length - 5) 
                        && <KeyboardKey key={keyData['keyName']} data={keyData} />)}
                </div>
            </div>
        </div>
    );
};