import './style.css';
import React, { useEffect } from 'react';
import Capsula from '../../common/Capsula';
import { Button, LineOne, LineTwo, QRCodeMini, QRCodeWrapper } from './components';
import { Buttons, Content, Image, Left, Right, Table, Wrapper } from './components';
import { BACK_REPORT as BACK, PRINTER_REPORT as PRINTER, LUPA } from '../../../../icons';

export default function Report(props) {

    const translate = window.language.translate
    
    const { slot, image, percent, color, state, show, cavity } = props?.data
    const { equip, date, user, type, ampoule, code, qrcode } = props?.data
    const { batch, autoclave, cycle, status, duration, result } = props?.data

    const { showQRCode, setQRCodeShowReport } = props?.data;
    
    const close    = ()                  => window.api.renderer({ mode: 'screen', type: 'processo', visible: false });
    const showZoom = (slot, type, image) => window.api.renderer({ mode: 'popup',  type: 'zoom',     visible: true, data: { slot, type, status, image: parseInt(image, 10) }});
    const show_qrcode = () => setQRCodeShowReport(true);

    const printReport = (status, data) => {
        if (!status) return
        if (status === translate(103) || status === translate(52)) window.api.send('print', { id_essay: parseInt(data, 10) });
    }

    const _image = () => showZoom(slot, type, autoclave);
    const _print = () => printReport(status, autoclave);
    
    const _btns = {
        close:  { func: close,  icon: <BACK />,    style: { length: '80px' }},
        qrcode: { func: show_qrcode,  icon: 'QR',  style: { length: '80px', font: '30pt' }},
        print:  { func: _print, icon: <PRINTER />, style: { length: '80px', disabled: status }},
    }
    
    const _slot = { number: slot, canOpen: false, percent, color, state, type: false }

    const _lines = {
        data:   { text:    translate(45), value: date },
        user:   { text:    translate(61), value: user },
        // code:   { text:    translate(57), value: code },
        lote:   { text:    translate(58), value: batch },
        code:   { textOne: translate(57), valueOne: code,   textTwo: translate(74), valueTwo: cavity },
        equip:  { textOne: translate(47), valueOne: equip,  textTwo: translate(59), valueTwo: cycle },
        type:   { textOne: translate(48), valueOne: type,   textTwo: translate(56), valueTwo: ampoule },
        status: { textOne: translate(60), valueOne: status, textTwo: translate(46), valueTwo: duration },
        result: { textOne: translate(49), valueOne: result, textTwo: translate(44), valueTwo: autoclave },
    }

    return (
        <Wrapper>
            <Content>
                <Left>
                    <Image data={{ image, onClick: _image }}>
                        <LUPA /> 
                    </Image>
                    <Buttons>
                        <Button data={_btns['close']}/>
                        <Button data={_btns['print']}/>
                        <Button data={_btns['qrcode']}/>
                    </Buttons>
                </Left>
                <Right>
                    <Table>
                        <LineTwo data={_lines['type']}/>
                        <LineTwo data={_lines['code']}/>
                        <LineOne data={_lines['lote']}/>
                        <LineTwo data={_lines['equip']}/>
                        <LineTwo data={_lines['status']}/>
                        <LineTwo data={_lines['result']}/>
                        <LineOne data={_lines['data']}/>
                        <LineOne data={_lines['user']}/>
                    </Table>
                    {show && <Capsula data={_slot}/>}
                </Right>
            </Content>
            {showQRCode && <QRCodeWrapper data={{ qrcode, fnc: setQRCodeShowReport }} />}
        </Wrapper>
    )
}