import React from "react";
import { BACK } from '../../../../../icons';

const translate = window.language.translate

export function Canceled() {
  return (
    <div className='canceled-wrapper'>
        <div className="canceled-result-text">{translate(72)}</div>
        <div className='result-button-goback'><BACK/></div>
    </div>
  ) 
}

export function Line(props) {
    const { text, value } = props.data
    return (
        <div className="line-result-label">
            <div className="line-result-text-name">{text}</div>
            <div className="line-result-text-value">{value}</div>
        </div>
    )
}

export function Negative() {
  return (
    <div className='negative-wrapper'>
        {/* <div className="negative-result-text first">REAÇÂO FLUORESCENTE</div>
        <div className="negative-result-text">NÃO DETECTADA</div> */}
        <div className="negative-result-text">{translate(76)}</div>
        <div className="negative-result-text third">{translate(77)}</div>
        <div className='result-button-goback'><BACK/></div>
    </div>
  )
}

export function Positive() {
  return (
    <div className='positive-wrapper'>
        {/* <div className="positive-result-text first">REAÇÂO FLUORESCENTE</div>
        <div className="positive-result-text">DETECTADA</div> */}
        <div className="positive-result-text">{translate(68)}</div>
        <div className="positive-result-text third">{translate(53)}</div>
        <div className='result-button-goback'><BACK/></div>
    </div>
  )
}

export const QRCode  = ({ data: { qrcode } }) => <div className="result-qrcode" style={{ backgroundImage: (qrcode !== 'erro') ? `url(${qrcode})` : 'none' }}></div>