import React from 'react';
import { ARROW } from '../../../../../icons';

const handlePages  = (dir, { currentPage, setCurrentPage, pages }) => (currentPage !== ((dir) ? 1 : pages)) && setCurrentPage(prev => (dir) ? prev - 1 : prev + 1);

export const Content = ({ children }) => <div className="flex w775p h440p center fd-column bd br mr150 mb100 bg040746">{children}</div>
export const Wrapper = ({ children }) => <div className="selection-wrapper flex w100 center">{children}</div>
export const Options = ({ children }) => <div className="selection-options flex w100 h70p minh70 align-ct justify-fs">{children}</div>
export const Map     = ({ children }) => <div className="flex full">{children}</div>
export const Collumn = ({ children }) => <div className='flex full align-ct fd-column'>{children}</div>

export const Selector = (props) => {
	const { currentPage, _page } = props.data
	return (
		<>
			<div className="selection-options-button" onClick={() => handlePages(true, _page)}><ARROW /></div>
			<div className="selection-options-page">{currentPage}</div>
			<div className="selection-options-button" onClick={() => handlePages(false, _page)}><ARROW /></div>
		</>
	)
}

export function Button(props) {
    const { f, name, id, idd } = props['data'];
    const { handleAction, setCurrentSelected } = f
  
    return (
      <div className="flex center w300p h55p bgw bd br cb fs22p boxs fw-b mt1825 mb1825" onClick={() => {
        setCurrentSelected({ id, name, editing: idd })
        handleAction(false, idd, { id, name, editing: idd })
      }}>{name}</div>
    )
  }