import './style.css';
import Field from '../../common/Field';
import React, { useState, useEffect } from 'react';
import { Button, Selector, Collumn } from './components';
import { Wrapper, Content, Options, Map } from './components';

export default function Selection(props) {
	
	const { array, editing, id, setCurrentSelected, current_selected } = props['data'];
	
	const [pages, 		setMaxPages]    = useState(0);
	const [currentPage, setCurrentPage] = useState(1);

	const _page = { pages, currentPage, setCurrentPage }

	const handleAction = (action, id, selected) => window.api.renderer({ mode: 'popup', type: 'select', visible: action, data: { id, selected }});

	const generate  = (item) => { return { id: item['id'], name: item['name'], idd: id, f: { setCurrentSelected, handleAction }}};
	const fieldData = { placeholder: editing, callbacks: { f: () => handleAction(false, id, current_selected) } }
	const local     = (page, index) => (page - 1) * 8 + index

	// eslint-disable-next-line
	useEffect(() => setMaxPages(Math.ceil(array.length / 8)), []);

	return (
		<Wrapper>
			<Content>
				<Options>
					<Field data={fieldData} />
					{(pages > 1) && <Selector data={{ currentPage, _page }} />}
				</Options>
				<Map>
					<Collumn>
                        {array[local(currentPage, 0)] ? <Button data={generate(array[local(currentPage, 0)])} /> : null}
                        {array[local(currentPage, 2)] ? <Button data={generate(array[local(currentPage, 2)])} /> : null}
                        {array[local(currentPage, 4)] ? <Button data={generate(array[local(currentPage, 4)])} /> : null}
                        {array[local(currentPage, 6)] ? <Button data={generate(array[local(currentPage, 6)])} /> : null}
                    </Collumn>
                    <Collumn>
                        {array[local(currentPage, 1)] ? <Button data={generate(array[local(currentPage, 1)])} /> : null}
                        {array[local(currentPage, 3)] ? <Button data={generate(array[local(currentPage, 3)])} /> : null}
                        {array[local(currentPage, 5)] ? <Button data={generate(array[local(currentPage, 5)])} /> : null}
                        {array[local(currentPage, 7)] ? <Button data={generate(array[local(currentPage, 7)])} /> : null}
                    </Collumn>
				</Map>
			</Content>
		</Wrapper>
	)
}