import React from "react";
import { AMP, BACK_REPORT, NOK  } from '../../../../../icons';

const translate = window.language.translate

const _icon = [<AMP />, <></>]
const _header = [() => translate(131), () => translate(64)]
const _text = [(slot) => `${translate(132)} ${slot}.`, (slot) => {
    return (
        <div>
            <div>{translate(65)}.</div>
            <div>{translate(133)} {slot} {translate(134)}.</div>
        </div>
    )}
]

export const Wrapper = ({ children }) => <div className="show-wrapper flex w100 center">{children}</div>
export const Content = ({ children }) => <div className="show-content flex center bd br bi fd-column">{children}</div>
export const Header  = ({ data: { type } }) => <div className="show-header flex w100 center cw">{_header[type]()}</div>
export const Text    = ({ data: { type, slot } }) => <div className="show-text flex w100 center pdd8 cw">{_text[type](slot)}</div>
export const Icon    = ({ data: { type } }) => <div className="show-icon flex w100 h80p center mt1825 mb1825" id={`show-icon-${type}`}>{_icon[type]}</div>
export const QRCode  = ({ data: { qrcode } }) => <div className="show-qrcode" style={{ backgroundImage: (qrcode !== 'erro') ? `url(${qrcode})` : 'none' }}></div>
export const Button  = ({ children, data: { f: func } }) => <div className="button-show-wrapper" onClick={func}>
    <div>{(children === 'CANCELAR') ? <NOK /> : <BACK_REPORT />}</div>
    {children}
</div>

