import './style.css';
import React from 'react';
import { submitData } from './functions';
import Field          from '../../common/Field';
import Capsula        from '../../common/Capsula';
import { Upper, Wrapper, Button, Lower } from './components';
import { Content, Left, Right, LineOne, LineTwo } from './components';

export default function Start(props) {
	const translate = window.language.translate

	const { slot, type, cap, selected, db } = props['data'];

	const { cycle_text, lote_text } = selected;
	const { type_selected, slot_selected  } = selected;
	const { equip_selected, user_selected } = selected;

	const confirmStart  = () => submitData(selected, slot); 
	const closeStart    = () => window.api.renderer({ mode: 'popup', type: 'start',  visible: false })
	const openKeyboard  = (placeholder, id) => window.api.renderer({ mode: 'screen', type: 'keyboard', visible: true, data: { id, placeholder }});
	const openSelection = (id) => window.api.renderer({ mode: 'popup', type: 'select', visible: true, data: { db, id, type }});

	const fieldData = {
		lote:	 { text: lote_text, 			 placeholder: translate(58), type: false, callbacks: { f: () => openKeyboard(58, 'lote',) }},
		ciclo:	 { text: cycle_text, 			 placeholder: translate(59), type: false, callbacks: { f: () => openKeyboard(59, 'ciclo') }},
		user:	 { text: user_selected['name'],  placeholder: translate(61), type: true,  callbacks: { f: () => openSelection(61) }},
		type:	 { text: type_selected['name'],  placeholder: translate(48), type: true,  callbacks: { f: () => openSelection(48) }},
		equip:	 { text: equip_selected['name'], placeholder: translate(47), type: true,  callbacks: { f: () => openSelection(47) }},
		ampoule: { text: slot_selected['name'],  placeholder: translate(56), type: true,  callbacks: { f: () => openSelection(56) }},
	};

	return (
		<Wrapper>
			<Content>
				<Left>
					<Upper>
						<LineTwo>
							<Field data={fieldData['type']} />
							<Field data={fieldData['ampoule']} />
						</LineTwo>
						<LineOne>
							<Field data={fieldData['lote']} />
						</LineOne>
						<LineTwo>
							<Field data={fieldData['equip']} />
							<Field data={fieldData['ciclo']} />
						</LineTwo>
						<LineOne>
							<Field data={fieldData['user']} />
						</LineOne>
					</Upper>
					<Lower>
						<Button data={{ func: confirmStart, type: true  }}>{translate(21)}</Button>
						<Button data={{ func: closeStart,   type: false }}>{translate(23)}</Button>
					</Lower>
				</Left>
				<Right>
					<Capsula data={cap} />
				</Right>
			</Content>
		</Wrapper>
	);
};