import './style.css';
import React from 'react';

import Menu  from '../../unique/Menu';
import Slots from '../../unique/Slots';

import { ArrowDown, ArrowUp } from '../../../../icons';

import { Zoom, Show, Start, Essays, Result  } from '../../modals';
import { Report, Keyboard, Selection, BackupSelection, Alert } from '../../modals';

import { Footer, Wrapper, Header, Center, Content, AxisButton } from './components';

import { Edit, Wifi, Input, Date, Config } from '../../settings';
import { Key, Calibrate, Backup, Guide, Language } from '../../settings';

export default function Page3(props) {

    const _data       = props['data'];
    const { _render } = props['data'];

    const openMenu   = () => window.api.renderer().open('popup', 'menu');
    const openEssays = () => window.api.send('RENDER/ESSAYS',  { mode: 'popup', type: 'essays', visible: true });

    const axis = [
        { icon: <ArrowDown />, onClick: openMenu },
        { icon: <ArrowUp />, onClick: openEssays }
    ];

    return (
        <Wrapper>
            {_render['Languages'] && <Language /> }
            {_render['Menu'] && <Menu data={_data['_menu']} />}
            {_render['Wifi'] && <Wifi data={_data['_wifi']} />}
            {_render['Input'] && <Input data={_data['_input']} />}
            {_render['Keyboard'] && <Keyboard data={_data['_keyboard']} />}
            {_render['Selection'] && <Selection data={_data['_selection']} />}
            {_render['BackupAutomatic'] && <Backup data={_data['_backup_automatic']} /> }
            {_render['BackupSelection'] && <BackupSelection data={_data['_backup_selection']} />}
            <Header>
                {!_render['Menu'] && <AxisButton data={axis[0]}/>}
            </Header>
            <Center>
                {_render['Date'] && <Date data={_data['_date']}/> }
                {_render['Calibrate'] && <Calibrate data={_data['_calibrate']} /> }
                {_render['Show'] && <Show data={_data['_show']} />}
                {_render['Zoom'] && <Zoom data={_data['_zoom']} />}
                {_render['Edit'] && <Edit data={_data['_edit']} />}
                {_render['Start'] && <Start data={_data['_start']} />}
                {_render['Report'] && <Report data={_data['_report']} />}
                {_render['Result'] && <Result data={_data['_result']} />}
                {_render['Essays'] && <Essays data={_data['_essays']} />}
                {_render['Config'] && <Config data={_data['_config']} />}
                {_render['Guide'] && <Guide data={_data['_guide']} />}
                {_render['Key'] && <Key data={_data['_key']} />}


                {_render['Alert']['pdf'] && <Alert data={_data['_alert']['_pdf']} />}
                {_render['Alert']['edit'] && <Alert data={_data['_alert']['_edit']} />}
                {_render['Alert']['wifi'] && <Alert data={_data['_alert']['_wifi']} />}
                {_render['Alert']['camera'] && <Alert data={_data['_alert']['_camera']} />}
                {_render['Alert']['printer'] && <Alert data={_data['_alert']['_printer']} />}
                {_render['Alert']['temperature'] && <Alert data={_data['_alert']['_temperature']} />}

                {_render['Alert']['Database']['clear'] && <Alert data={_data['_alert']['_database']['_clear']} />}
                <Content>
                    <Slots data={_data['_slots']} />
                </Content>
            </Center>
            <Footer>
                <AxisButton data={axis[1]} />
            </Footer>
        </Wrapper>
    )
}