import React from "react";

const translate = window.language.translate

export const Text      = ({ data: { text, date } }) => <div className='flex w100 h10 pddl16'>{text} {date}</div>
export const Container = ({ children }) => <div className='flex w100 h75 bgw br fd-column'>{children}</div>
export const Buttons   = ({ children }) => <div className='flex w100 h25 justify-se align-ct'>{children}</div>
export const Header    = () => <div className='flex w100 h30 center bg-bk cw fs48p br-tl br-tr'>{translate(171)}</div>
export const Content   = ({ children }) => <div className='flex w50 h80 center fd-column bi br bd pdd16'>{children}</div>
export const Button    = ({ data: { func, text } }) => <div className='flex w150p h80p center cw bi br bd fs24p' onClick={func}>{text}</div>
export const Wrapper   = ({ children, data: { z_index } }) => <div className='wrapper w-bg flex w100 center' style={{ zIndex: z_index }}>{children}</div>

export function Switch({ data: { isON, func, height, width, color = '' } }) {
    return (
        <div className={`flex w100 h${height} align-ct`} >
            <div className={`flex h100 w${width} center fs40p ${color}`}>{translate(172)}: </div>
            <div className="flex h100 w20 center ml16" onClick={() => func(prev => !prev)}>{isON ? <ON/> : <OFF /> }</div>
        </div>
    );
}

export function Time({ data: { hours, minutes }}) {
    return (
        <div className='flex w100 h30 align-ct pddl16'>
            <div className="flex h100 w25 center fs40p">{translate(36)}: </div>
            <Select data={hours} />
            <div className="flex h100 w10 center fs40p">:</div>
            <Select data={minutes}/>
        </div>
    );
}

function Select(props) {
    const { array, type, func, begin } = props?.data;

    return (
        <select className='input-backup flex pdd16 br' onChange={(e) => func(e.target)}>
            <option selected disabled hidden>{begin}</option>
            {array.map((i) => <option key={`${type}+${i}`}>{i.toString().padStart(2,0)}</option>)}
        </select>
    );
}

function ON() {
    return (
        <div className="flex w100p h50p br bg-b8 br50p">
            <div className="flex w100 h100 center cbi fs24p">ON</div>
            <div className="flex w100 h100 bi br50"></div>
        </div>
    )
}

function OFF() {
    return (
        <div className="flex w100p h50p br bg-b8 br50p">
            <div className="flex w100 h100 bg-dc br50"></div>
            <div className="flex w100 h100 center cbi fs24p">OFF</div>
        </div>
    )
}