import React from "react";

const translate = window.language.translate

export const Header    = () => <div className='flex w100 h50p center fs60p cw mt16'>{translate(154)}</div>
export const Temp      = ({ data: { temperature } }) => <div className='flex w100 center fs25p cw mt16'>{`${translate(156)} ${temperature}°C`}</div>
export const Input     = ({ children }) => <div className='flex w100 align-ct'>{children}</div>
export const Wrapper   = ({ children, data: { z_index } }) => <div className='wrapper flex w100 center' style={{ zIndex: z_index }}>{children}</div>
export const Calibre   = ({ children }) => <div className='flex full center'>{children}</div>
export const Container = ({ children }) => <div className='flex w100 align-ct justify-sa pddb16'>{children}</div>
export const Content   = ({ children }) => <div className='content-wifi flex fd-column align-ct justify-sb bd br'>{children}</div>
export const Button    = ({ data: { text, onClick } }) => <div className='flex br w150p h80p center bd bi cw fs25p' onClick={onClick}>{text}</div>
export const Button_d  = ({ data: { text, onClick } }) => <div className='flex br w80p h80p center bd bi cw fs25p' onClick={onClick}>{text}</div>
export const Offset    = ({ data: { offset }}) => <div className='flex w80p h80p fd-column center br mr50 ml50'>
    <div className="fs25p cw">{translate(157)}:</div>
    <div className="flex center w100 h40 cb bgw mt16 fs20p bd-black">{offset.toFixed(1)}°C</div>
</div>