import React from 'react';
import { ArrowDown, ArrowUp } from '../../../../icons'
import { Button, Container, Content, Header } from './components';
import { Calibre, Wrapper, Button_d, Offset, Temp } from './components';

export default function Calibrate({ data: { offset, setOffset, temp }}) {

    const calibre = window.io.calibrate;
    const translate = window.language.translate

    const confirm = () => { calibre(offset); close(); }
    const close = () => window.api.renderer().close('settings', 'calibrate');

    return (
        <Wrapper data={{ z_index: 22 }}>
            <Content>
                <Header />
                <Temp data={{ temperature: (parseInt(temp) + offset) }} />
                <Calibre>
                    <Button_d data={{ onClick: () => setOffset(prev => prev - 0.5), text: <ArrowDown /> }} />
                    <Offset data={{ offset }}/>
                    <Button_d data={{ onClick: () => setOffset(prev => prev + 0.5), text: <ArrowUp /> }} />
                </Calibre>
                <Container>
                    <Button data={{ onClick: close,   text: translate(17) }} />
                    <Button data={{ onClick: confirm, text: translate(158) }} />
                </Container>
            </Content>
        </Wrapper>
    )
};