import '../style.css';
import React from "react"; 

export const Wrapper = ({ children }) => <div className='wrapper-date flex w100 center'>{children}</div>
export const Content = ({ children }) => <div className='content-date flex fd-column br bd pdd16'>{children}</div>
export const UpperSection = ({ children }) => <div className='upper-section flex w100 h80 br align-fs fd-column'>{children}</div>
export const Header= ({ data: { text }}) => <div className='upper-section-container flex full center fd-column header'>{text}</div>
export const Container = ({ children }) => <div className='flex full fd-column'>{children}</div>
export const Text = ({ data: { text }}) => <div className='date-container text flex w100 center justify-fs'>{text}</div>
export const SelectContainer = ({ children }) => <div className='date-container flex w100 center'>{children}</div>
export const Separator = ({ data: { text }}) => <div className='separator date flex center'>{text}</div>
export const Buttons = ({ children }) => <div className='flex w100 h20 align-ct justify-sa'>{children}</div>
export const Button = ({ data: { text, onClick }}) => <div className='button-action-date flex center bd br' onClick={onClick}>{text}</div>

export function Select(props) {
    const { array, type, func, label = '', begin } = props['data'];

    return (
        <select className='input-date flex pdd16 br' onChange={(e) => func(e.target)}>
            <option selected disabled hidden>{begin}</option>
            {array.map((i) => <option key={`${type}+${i}`}>{(label) ? label[i-1] : i.toString().padStart(2,0)}</option>)}
        </select>
    );
}
