
import React, { useEffect } from 'react';
import { Wrapper, Content } from './components';
import { UpperSection, Header, Container } from './components';
import { Text, SelectContainer } from './components';
import { Select, Separator } from './components';
import { Buttons, Button } from './components';

export default function Date(props) {

    const translate = window.language.translate

    const { functions, selected, select_props, current } = props['data'];

    const { close, confirm } = functions;
    const { generate, generateDays } = functions;

    const { 
        setSelectedDay,
        setSelectedHour,
        setSelectedMinute,
        setSelectedMonth,
        setSelectedYear,
    } = functions;

    const { selectedMonth, selectedYear } = selected;
    
    useEffect(() => {
        generate();
        
        setSelectedDay(current.day);
        setSelectedHour(current.hour);
        setSelectedYear(current.year);
        setSelectedMonth(current.month);
        setSelectedMinute(current.minute);
        // eslint-disable-next-line
    }, []);
    
    // eslint-disable-next-line
    useEffect(() => generateDays(selectedMonth, selectedYear), [selectedMonth, selectedYear]);

    return (
        <Wrapper>
            <Content>
                <UpperSection>
                    <Header data={{ text: translate(33) }} />
                    <Container>
                        <Text data={{ text: translate(34) }} />
                        <SelectContainer>
                            <Select data={select_props['days']} />
                            <Separator data={{ text: '/' }} />
                            <Select data={select_props['months']} />
                            <Separator data={{ text: '/' }} />
                            <Select data={select_props['years']} />
                        </SelectContainer>
                        <Text data={{ text: translate(36) }} />
                        <SelectContainer>
                            <Select data={select_props['hours']} />
                            <Separator data={{ text: ':'}} />
                            <Select data={select_props['minutes']} />
                        </SelectContainer>
                    </Container>
                </UpperSection>
                <Buttons>
                    <Button data={{ text: translate(17), onClick: close }} />
                    <Button data={{ text: translate(22), onClick: confirm }} />
                </Buttons>
            </Content>
        </Wrapper>
    )
}