import React from 'react';

export const Wrapper   = ({ children }) => <div className='wrapper-edit flex w100 center'>{children}</div>
export const Content   = ({ children }) => <div className='content-edit flex w50 h90 align-ct fd-column br bd pdd16'>{children}</div>
export const UpperSide = ({ children }) => <div className='upper-side-edit flex full pdd16 br bd align-ct'>{children}</div>
export const LowerSide = ({ children }) => <div className='lower-side-edit flex w100 h30 align-ct justify-sa'>{children}</div>

export const Table        = ({ children })  => <div className='table-edit flex full fd-column'>{children}</div>
export const Pagination   = ({ children })  => <div className='pagination-edit flex h100 fd-column align-ct justify-sb'>{children}</div>
export const ButtonPage   = ({ data: { text, f = () => {}}}) => <div className='button-page-edit flex br center' onClick={f}>{text}</div>
export const ButtonAction = ({ data: { text, f } }) => <div className='button-action-edit flex bd br center' onClick={f}>{text}</div>

export const TableHeader = ({ data: { id, name, role } }) => (
    <div className='table-header-edit flex br'>
        <div className='table-header id flex w100 center'  >{id}</div>
        <div className='table-header name flex w50 center'>{name}</div>
        {/* <div className='table-header role'>{role}</div> */}
        <div className='table-header del flex w100 center'/>
    </div>
)

export const TableList = ({ children }) => <div className='table-list-edit flex full fd-column justify-fs'>{children}</div>

export function TableLine(props) {

    const { type, f: edit, info: { id, name, role }, text} = props['data'];

    const del = (e) => {
        e.stopPropagation();
        window.api.send('EDIT/del', { type, id });
    }
    
    return (
        <div className='table-line-wrapper flex w100 align-ct br' onClick={edit}>
            <div className='table-row id flex h100 center'>{id}</div>
            <div className='table-row name flex h100 w50 center'>{name}</div>
            {/* <div className='table-row role flex h100 w20 center'>{role}</div> */}
            <div className='table-row action flex h100 center br' onClick={del}>{text}</div>
        </div>
    )
};