import React from 'react';
import styled from 'styled-components';
import * as style from '../../../../../style';

export const Content = styled.div`
    width: 860px;
    height: 580px; 
    padding: 16px;
    display: flex; 
    border-radius: 16px; 
    border: 2px solid white;
    background-image: ${style.BACKGROUND_GRADIENT};
`;

export const Button = styled.div`
    color: white;
    display: flex;
    font-size: 12pt;
    font-weight: bold;
    border-radius: 16px;
    flex-direction: row;
    align-items: center;
    border: 2px solid black;
    opacity: ${props => props?.data?.opacity || '1' };
    background-image: ${style.BACKGROUND_GRADIENT};
    width: ${props => props?.data?.width || '100%' };
    min-width: ${props => props?.data?.width || '100%' };
    height: ${props => props?.data?.height || '50px' };
    justify-content: ${props => props?.data?.justify || 'center' };
`;

export const Container = styled.div`
    height: 100%;
    padding: 16px;
    display: flex;
    border-radius: 16px;
    flex-direction: column;
    background-color: white;
    justify-content: space-between;
    width: ${props => props?.data?.width || '100%' };
    min-width: ${props => props?.data?.width || '100%' };
`;

export const Title = styled.div`
    width: 100%;
    height: 95px;
    display: flex;
    font-size: 24pt;
    font-weight: bold;
`;

export const Image = styled.div`
    width: 550px;
    height: 100%;
    display: flex;
    background-image: ${props => `url(${props?.data?.image})`};
`;

export const Center = styled.div`
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
`;

export const Text = styled.div`
    width: 100%;
    height: 100%;
    display: flex;
    padding-top: 16px;
    padding-left: 16px;
    align-items: center;
    padding-right: 100px;
`;

export const Bottom = styled.div`
    gap: 16px;
    width: 100%;
    height: 95px;
    display: flex;
    align-items: center;
    justify-content: space-between;
`;