import './style.css';
import React from 'react';
import { Field } from '../../common';
import { Container, Content, Header } from './components';
import { InputField, Wrapper, Button } from './components';

export default function Input(props) {

    const translate = window.language.translate

    const { id, mode, header, user_first_field, user_second_field, equip_first_field, equip_second_field, editing } = props['data'];

    const verify = (type, field1, field2, field3, field4) => {

        window.api.renderer().close('settings', 'input');

        if (editing == 'users') {
            if(field1.text == '') return window.api.send('EDIT/Input/alert');
            return window.api.send(`EDIT/${type}`, { type: 'users', data: { name: field1.text, pwd: field2.text, type: '3', id }});
        }

        if(field3.text == '') return window.api.send('EDIT/Input/alert', true);
        // if(field3.text == '' || field4.text == '') return window.api.send('EDIT/Input/alert', true);
        return window.api.send(`EDIT/${type}`, { type: 'equips', data: { model: field3.text, brand: field4.text, code: '00000', id }});
    }
    
    const goBack  = () => window.api.renderer().close('settings', 'input');
    const Confirm = () => verify((mode == 'adding') ? 'add' : 'edit', user_first_field, user_second_field, equip_first_field, equip_second_field);

    return (
        <Wrapper>
            <Content>
                    <Header data={{ header }}/>
                    <InputField>
                        <Field data={(editing == 'users') ? user_first_field : equip_first_field} />
                        {/* {(editing != 'users') && <Field data={(editing == 'users') ? user_second_field : equip_second_field} />} */}
                    </InputField>
                    <Container>
                        <Button data={{ onClick: goBack,  text: translate(17)}} />
                        <Button data={{ onClick: Confirm, text: translate(22)}} />
                    </Container>
            </Content>
        </Wrapper>
    )
}