import React from 'react';

const translate = window.language.translate

export const Content   = ({ children }) => <div className="flex w70 h80 fd-column br bd bi pdd16">{children}</div>
export const Wrapper   = ({ children }) => <div className="key-wrapper flex w100 center">{children}</div>
export const Title     = () => <div className="flex center w100 h100p fs70p cw" >{translate(8)}</div>
export const Text      = ({ data: { type }}) => <div className="flex full center cw fs30p" style={{textAlign: "center"}}>{(type == 'calibrate') ? translate(155) : translate(117)}</div>
export const Button    = ({ data: { value, text, func }}) => <div className="flex h50p w30 center fd-row br bd-black bi cw" onClick={func}>{text}</div>
export const Separator = ({ children }) => <div className="flex fd-row h80p w100 pdd16 justify-se">{children}</div>
export const InputCode = ({ data: { digits } }) => <div className="flex full center pdd16 justify-se">
    <div className="flex h100p w100p center br bgw bd-black fs20p">{digits[0]}</div>
    <div className="flex h100p w100p center br bgw bd-black fs20p">{digits[1]}</div>
    <div className="flex h100p w100p center br bgw bd-black fs20p">{digits[2]}</div>
    <div className="flex h100p w100p center br bgw bd-black fs20p">{digits[3]}</div>
</div>
export const Buttons = ({ data: setDigits }) => <div className="flex full center pdd16 justify-se">
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 0] : [...prev] )}>0</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 1] : [...prev] )}>1</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 2] : [...prev] )}>2</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 3] : [...prev] )}>3</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 4] : [...prev] )}>4</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 5] : [...prev] )}>5</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 6] : [...prev] )}>6</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 7] : [...prev] )}>7</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 8] : [...prev] )}>8</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => (prev.length < 4) ? [...prev, 9] : [...prev] )}>9</div>
    <div className="flex h60p w60p center br bgw bd-black fs20p" onClick={() => setDigits(prev => prev.slice(0, -1))}>DEL</div>
</div>