import React, { useState } from 'react';
import { Wrapper, Content, Title, Text, InputCode, Button, Buttons, Separator } from './components';

export default function Key(props) {

    const translate = window.language.translate

    const { key, type } = props['data'];

    const [digits, setDigits] = useState([]);

    const cancel  = () => window.api.renderer({ mode: 'settings', type: 'key', visible: false });
    const confirm = () => window.api.send('KEY/Confirm', { mode: 'settings', type: 'key', visible: false, data: { digits: digits.toString().replaceAll(',', ''), type }});

    return (
        <Wrapper>
            <Content>
                <Title />
                <Text data={{ type }} />
                <InputCode data={{ digits }}/>
                <Buttons data={setDigits} />
                <Separator>
                    <Button data={{ func: cancel, text: translate(23) }}/>
                    <Button data={{ func: confirm, text: translate(21) }}/>
                </Separator>
            </Content>
        </Wrapper>
    );
}
