import React from "react";
import { BRFlag, CNFlag, ESFlag, USFlag } from "../../../../../icons";

const translate = window.language.translate

export const Header    = () => <div className='header-wifi flex w100 center'>{translate(95)}</div>
export const Wrapper   = ({ children }) => <div className='wrapper-wifi flex w100 center'>{children}</div>
export const Container = ({ children }) => <div className='wifi-container-buttons flex w100 align-ct justify-sa'>{children}</div>
export const Content   = ({ children }) => <div className='content-wifi flex fd-column align-ct justify-sb bd br'>{children}</div>
export const Button    = ({ data: { text, onClick } }) => <div className='buttons-wifi-control flex br center bd' onClick={onClick}>{text}</div>
export const Select    = ({ data: { func }}) => <div className='select-languages flex h50p w100 center fd-row br bd-black bi cw'>
    <select defaultValue="" onChange={(e) => func(e.target.value)}>
        <option value="" disabled hidden>{translate(95)}</option>
        <option value="PORTUGUÊS">{translate(127)}"{<BRFlag />}"</option>
        <option value="ESPANHOL" >{translate(128)}"{<ESFlag />}"</option>
        <option value="INGLÊS"   >{translate(129)}"{<USFlag />}"</option>
        <option value="Chinês"   >{translate(130)}"{<CNFlag />}"</option>
    </select>
</div>