import './style.css';
import React, { useState } from 'react';
import { Button, Container, Content, Header, Wrapper, Select } from './components';
import Dropdown from '../../unique/Dropdown';
import { BRFlag, CNFlag, ESFlag, USFlag } from '../../../../icons';


export default function Language() {

    const [language_selected, setLanguage] = useState(95);

    const translate = window.language.translate

    const confirmLanguage = () => {

        const lang = {
            127: 'PORTUGUÊS',
            128: 'ESPANHOL',
            129: 'INGLÊS',
            130: 'Chinês'
        }

        if(language_selected !== undefined && language_selected !== 95) {
            window.api.send('LANGUAGE/confirm', { selected: lang[language_selected] });
        }
    };

    const _arr = [
        { id: 127, icon: <BRFlag /> },
        { id: 128, icon: <ESFlag /> },
        { id: 129, icon: <USFlag /> },
        { id: 130, icon: <CNFlag /> }
    ]

    const closeLanguage = () => window.api.renderer({ mode: 'settings', type: 'language', visible: false });

    return (
        <Wrapper>
            <Content>
                <Header />
                <Dropdown data={{ arr: _arr, func: setLanguage, text_default: translate(language_selected) }} />
                <Container>
                    <Button data={{ onClick: closeLanguage,   text: translate(17) }} />
                    <Button data={{ onClick: confirmLanguage, text: translate(22) }} />
                </Container>
            </Content>
        </Wrapper>
    )
};