import React from "react";

const translate = window.language.translate

export const Header    = ({ data: { text }}) => <div className='header-wifi flex w100 center'>{text}</div>
export const Wait      = () => <div className='content-wait flex center br bd'>{translate(7)}</div>
export const Input     = ({ children }) => <div className='input flex w100 align-ct'>{children}</div>
export const Wrapper   = ({ children }) => <div className='wrapper-wifi flex w100 center'>{children}</div>
export const Container = ({ children }) => <div className='wifi-container-buttons flex w100 align-ct justify-sa'>{children}</div>
export const Content   = ({ children }) => <div className='content-wifis flex fd-column align-ct justify-sb bd br'>{children}</div>
export const Button    = ({ data: { text, onClick } }) => <div className='buttons-wifi-control flex br center bd' onClick={onClick}>{text}</div>
export const ButtonClear = ({ data: { text, onClick } }) => <div className='buttons-wifi-control-2 flex br center bd' onClick={onClick}>{text}</div>

export function Switch({ data: { isON, func, height, width, color = '' } }) {
    return (
        <div className={`flex w400p h${height} align-ct`} >
            <div className={`flex align-ct h100 w230p fs40p ml16 ${color}`}>{translate(172)}: </div>
            <div className="flex h100 w120p center" onClick={func}>{isON ? <ON/> : <OFF /> }</div>
        </div>
    );
}
function ON() {
    return (
        <div className="flex w100p h50p br bg-b8 br50p">
            <div className="flex w100 h100 center cbi fs24p">ON</div>
            <div className="flex w100 h100 bi br50"></div>
        </div>
    )
}

function OFF() {
    return (
        <div className="flex w100p h50p br bg-b8 br50p">
            <div className="flex w100 h100 bg-dc br50"></div>
            <div className="flex w100 h100 center cbi fs24p">OFF</div>
        </div>
    )
}