import './style.css';
import React, { useEffect } from 'react';
import Field from '../../common/Field'
import { ButtonClear, Header, Input, Wrapper } from './components';
import { Button, Container, Content, Switch} from './components';

export default function Wifi(props) {

    const translate = window.language.translate

    const { wifi_pwd, field, networks } = props.data;
    const { setWifiSelected, wifi_selected, isSelected, setSelected } = props.data;

    const clearWifi = () => window.api.send('WIFI/Clear');
    const closeWifi = () => window.api.renderer().close('settings', 'wifi');
    const connectWifi = () => (isSelected) && window.api.send('WIFI/Connect', { ssid: wifi_selected, password: wifi_pwd });
    const setISON = () => {
        setSelected(prev => {
            window.api.send('enable/dissable/wifi', !prev);
            return !prev
        });
    }

    useEffect(() => {
        const value = window.io.read('wifi','isON', true);
        window.api.send('enable/dissable/wifi', value);
        setSelected(value);
    }, []);
    
    useEffect(() => window.io.write('wifi', 'isON', isSelected), [isSelected]);

    return (
        <Wrapper>
            <Content>
                <Header data={{ text: 'WIFI' }}/>
                <Container>
                    <Switch data={{ isON: isSelected, func: setISON, height: 100, width: '430p', color: 'cw' }}/>
                    <ButtonClear data={{ onClick: clearWifi, text: translate(174) }} />
                </Container>
                <Header data={{ text: translate(38) }}/>
                <div className="select-wifi flex w100 center">
                    <select id='networks-wifi' onChange={(e) => setWifiSelected(e.target.value)}>
                        {isSelected ? networks.map(wifi => <option key={wifi}>{wifi}</option>) : <option></option>}
                    </select>
                </div>
                <Input>
                    <Field data={field} />
                </Input>
                <Container>
                    <Button data={{ onClick: closeWifi,   text: translate(17) }} />
                    <Button data={{ onClick: connectWifi, text: translate(39) }} />
                </Container>
            </Content>
        </Wrapper>
    )
};