import React, { useState } from "react";

const translate = window.language.translate

export default function Dropdown({ data: { arr, func, text_default }}) {

    const [open, setOpen] = useState(false);

	return (
        <div className="flex center h50p w150p bi br bd cw justify-se" onClick={() => setOpen(prev => !prev)}>
            <div>{text_default}</div>
            <div>{"\u25BD"}</div>
			{open && <DropdownMenu data={{ arr, func }}/>}
		</div>
	);
}

export function DropdownMenu({ data: { arr, func }}) {

	function DropdownItem({ data: { text, onClick, icon }}) {
		return (
			<div className="flex align-ct justify-se w90 h50p br bd mb8 cw" onClick={onClick}>
				<div className="flex full center">{translate(text)}</div>
				<div className="flex full center">{icon}</div>
			</div>
		);
	}

	return (
		<div className="flex dropdown-menu br bi bd fd-column align-ct">
            {arr.length > 0 && arr.map(({ id, icon }) => <DropdownItem key={id} data={{ icon, onClick: () => func(id), text: id }} />)}
		</div>
	);
}