const fs = require('fs');

const WLDIO = require(`../WLD/WLDIO`);

const date = new Date();
const hour   = String(date.getHours())    .padStart(2, 0);
const minute = String(date.getMinutes())  .padStart(2, 0);
const day    = String(date.getDate())     .padStart(2, 0);
const year   = String(date.getFullYear()) .padStart(2, 0);
const month  = String(date.getMonth() + 1).padStart(2, 0);

const version = `${year}${month}${day}${hour}${minute}`;

console.log(`version: ${version}`);

const file = JSON.parse(fs.readFileSync('/home/pi/wld/lummina/src/version.json'));

WLDIO.writeJson({ version: file.version, hash: file.hash }, '/home/pi/wld/lummina/src/version.json');

WLDIO.createFolder(`/home/pi/wld/lummina-${version}`);
WLDIO.copyFolder('/home/pi/wld/lummina/src', `/home/pi/wld/lummina-${version}/lummina/src`);
WLDIO.copyFolder('/home/pi/wld/database', `/home/pi/wld/lummina-${version}/database`);
WLDIO.copyFolder('/home/pi/wld/pics', `/home/pi/wld/lummina-${version}/pics`);
WLDIO.copyFolder('/home/pi/wld/lummina/language', `/home/pi/wld/lummina-${version}/lummina/language`);
WLDIO.copyFolder('/home/pi/wld/lummina/compiler', `/home/pi/wld/lummina-${version}/lummina/compiler`);
WLDIO.copyFile('/home/pi/wld/lummina/electron.js', `/home/pi/wld/lummina-${version}/lummina/electron.js`);
WLDIO.copyFile('/home/pi/wld/lummina/package.json', `/home/pi/wld/lummina-${version}/lummina/package.json`);
WLDIO.copyFile('/home/pi/wld/lummina/autorun.sh', `/home/pi/wld/lummina-${version}/autorun.sh`);
WLDIO.copyFile('/home/pi/wld/lummina/version.sh', `/home/pi/wld/lummina-${version}/version.sh`);