const WLDBD = require('../WLD/WLDDatabase');
const { WLD } = require('../WLD/WLDUtils');
const WLDLanguage = require('../WLD/WLDLanguage');

(async () => {
    WLDLanguage.init();

    const translate = WLDLanguage.translate;

    const data = await WLDBD.getDatas('csv_essays');

    const columnOrder = ["44", "45", "126", "48", "56", "108", "47", "125","60", "46", "49", "110"];

    // Crie o cabeçalho na ordem correta, traduzindo cada coluna
    const header = columnOrder.map(col => translate(col * 1)).join(';') + '\n';

    // Construa os dados do CSV, garantindo a ordem das colunas
    const outData = data.reduce((acc, row) => {
    // Use a ordem definida para extrair os valores do objeto `row`
    const orderedValues = columnOrder.map(col => {
        // Verifique se a coluna deve ser traduzida
        if (["48", "56", "49", "60"].includes(col)) {
        return JSON.stringify(translate(row[col])); // Traduza o valor
        }
        return JSON.stringify(row[col]); // Caso contrário, use o valor diretamente
    });
    return acc + orderedValues.join(';') + '\n';
    }, header);

    console.table(outData);
    
    // const header = Object.keys(data[0]).map(_ => translate(_ * 1)).join(';') + '\n';
    // const outData = data.reduce((acc, row) => acc + Object.values(row).map(_ => JSON.stringify(_)).join(';') + '\n', header);

}
)();