const { renderer } = require('./WLDWindow');
const { translate } = require('./WLDLanguage');

class WLDAlert {

    constructor() {
        this.alert_type = {
            'temperature': {
                'CHANGE': () => { return {
                    type: 'temperature',
                    texto: translate(30),
                    titulo: translate(8),
                    botao: translate(32), 
                    botao2: translate(31),
                }}
            },
            'wifi': {
                'ERROR': () => { return {
                    type: 'wifi',
                    texto: 'Erro ao procurar redes wifi.', 
                    titulo: translate(26),
                    botao: translate(11)
                }}
            }
        }

        this.alert_types = {
			20: 'wifi',
			11: 'edit',
			12: 'camera',
			13: 'printer', 
			14: 'temperature', 
			15: 'pdf', 
			16: 'clearDatabase',
		};

        this.alert_functions = {
			20: () => renderer().close('popup', 'alerta'),
			11: () => this.getKey('date'),
			12: () => UpdateController.Download(),
			13: () => {}, 
			14: () => this.resetaTemperatura(), 
			15: 'pdf', 
			16: () => BackupController.clearDatabaseConfirm(),
		};
    }

    AlertCustom = (args) => renderer().open('popup', 'alerta', args);
    Alert = ({ mode, type }) => renderer().open('popup', 'alerta', this.alert_type[mode][type]());

    Alerta(type, texto, titulo, botao = null, botao2 = null, notify = true) {
		let data = { texto, titulo, botao, botao2, type };
		if (notify) renderer().open('popup', 'alerta', data);
	}
	
	confirm(type) {
		const command = this.alert_functions[type];
		if(command) command();

        renderer().close('popup', 'alerta', { type: this.alert_types[type] });
	}

	close = (type) => renderer().close('popup', 'alerta', { type: this.alert_types[type] });


}

module.exports = new WLDAlert();