const { execSync } = require('child_process');
const fs = require('fs');
const ini = require('ini');
const WLDIO = require('./WLDIO');

const file_path = '/home/pi/wld/ini.ini';
// const file_path = '/Users/ernesto/Downloads/maxximed/ini.ini';

class WLDConfig {
    constructor() { 
        this.WLDLog = (type, value) => console.log(`[${type}] -> ${value}`);
        // this.changeVersion();
    }

    // async changeVersion() {

    //     const file = '/home/pi/wld/download/version.json';
    //     const versionjson = '/home/pi/wld/lummina/src/version.json';
        
    //     const exists = await WLDIO.verifyFolder(file);

    //     if (!exists) return;

    //     const firm = '202212010001';

    //     let file_read;

    //     try { file_read = JSON.parse(fs.readFileSync(file)); }
    //     catch (err) { return console.error(err.message); }

    //     const dataVersion = JSON.stringify({ version: file_read.version, hash: file_read.hash }, null, 4);
    //     fs.writeFileSync(versionjson, dataVersion);
        
    //     this.version = JSON.parse(fs.readFileSync(file)).version;
    //     let file_version = JSON.parse(fs.readFileSync(versionjson));

    //     await WLDIO.writeJson({ version: file_version.version, hash: file_version.hash }, versionjson);

    //     this.write('info', 'version_firmware', `f${firm}`);
        
    //     execSync(`rm ${file}`);
    // }

    readInt(paTipo, paNome, paDefault) {
        return parseInt(this.read(paTipo, paNome, paDefault));
    }
    
    read(paTipo, paNome, paDefault) {
        const file = fs.readFileSync(file_path, 'utf-8');
        const config = ini.parse(file);
        
        let loRet;
        
        if(!config) {
            this.write(paTipo, paNome, paDefault);
            loRet = paDefault;
            return loRet;
        }

        try {
            loRet = config[paTipo][paNome];
        } catch(e) {
            this.write(paTipo, paNome, paDefault);
            return paDefault;
        }
        
        if(loRet == null || loRet == undefined ) { 
            this.write(paTipo, paNome, paDefault); 
            loRet = paDefault;
        }
        return loRet;
    }
    
    write(paTipo, paNome, paValor) {
        const file = fs.readFileSync(file_path, 'utf-8');
        const config = ini.parse(file);
        
        const isEmpty = Object.getOwnPropertyNames(config);
        const values = isEmpty.toString().split(',');
        
        if (!values.includes(paTipo)) config[paTipo] = {};

        config[paTipo][paNome] = paValor;

        const data = ini.stringify(config);
        fs.writeFileSync(file_path, data, 'utf-8');
    }
}

module.exports = new WLDConfig();