const WLDConfig = require('./WLDConfig');
const { readFileSync, writeFileSync } = require('fs');

const glConfig = WLDConfig;

const LANGUAGES = '/home/pi/wld/lummina/language/languages.json';
const IDIOMA = '/home/pi/wld/lummina/language/idioma.csv';
// const LANGUAGES = '/Users/ernesto/Downloads/down/lummina/language/languages.json';
// const IDIOMA = '/Users/ernesto/Downloads/down/lummina/language/idioma.csv';

class WLDLanguage {

    static csv;
    static json;
    static parsed;

    static languages;
    static current = glConfig.read('language','current_language', 'INGLÊS');

    static parseCsv(csv) {
        let lines = csv.toString().replaceAll('\r', '').split("\n");
        const header = lines.shift().split(";");
    
        return lines.map(line => {
            const bits = line.split(";");
            let obj = {};
            header.forEach((h, i) => obj[h] = bits[i]);
            return obj;
        })
    }

    static init() {
        WLDLanguage.readCsv();
        WLDLanguage.writeJson();
        WLDLanguage.readJson();

        console.log(`[IDIOMA] -> idiomas carregados.`);
        WLDLanguage.languages = WLDLanguage.readLanguages();
    }


    static getCurrent = () => WLDLanguage.current;
    static getCurrentPrinter = () => (WLDLanguage.current == 'Chinês') ? 'INGLÊS' : WLDLanguage.current;
    static setCurrent(value) {
        WLDLanguage.current = value;
        glConfig.write('language','current_language', value);
    }

    static translate_printer = (id) => {
        if(WLDLanguage.current == 'Chinês') {
            return WLDLanguage.languages[id-1]?.['INGLÊS']; 
        }

        return WLDLanguage.languages[id-1]?.[WLDLanguage.current];
    }

    static translate = (id) => WLDLanguage.languages[id-1]?.[WLDLanguage.current] || `erro no id: ${id}.`;

    static writeJson() {
        let json = JSON.stringify(WLDLanguage.parseCsv(WLDLanguage.csv));
        writeFileSync(LANGUAGES, json);
    }

    static readCsv  = () => WLDLanguage.csv  = readFileSync(IDIOMA);
    static readJson = () => WLDLanguage.json = readFileSync(LANGUAGES);
    static readLanguages = () => WLDLanguage.parsed = JSON.parse(WLDLanguage.json);
}

module.exports = WLDLanguage;