const fs = require('fs');
const { renderer, emit } = require('./WLDWindow');

const file = '/home/pi/wld/lummina/src/notifications.json';
// const file = '/Users/ernesto/Downloads/down/lummina/src/notifications.json';

class WLDNotifications {

    constructor() { 
        this.notifications = [];
        this.write(this.notifications);
    }

    add(args) {
        this.notifications = this.read();

        const found = this.notifications.find(element => element.id == args.id);
        
        const isLargeNumber = (element) => element.id == found?.id;
        
        const index = this.notifications.findIndex(isLargeNumber);
        
        if(index == -1) {
            this.notifications.push(args);
            this.write(this.notifications);
        } else {
            this.notifications[index] = args;
            this.write(this.notifications);
        }

        this.send();
    }

    remove() {
        this.notifications = this.read();
        this.notifications = this.notifications.slice(0, -1);
        
        this.write(this.notifications);

        this.send();

        emit('hasNotification', false);
    }

    read = () => JSON.parse(fs.readFileSync(file));

    write(arr) {
        const writing = JSON.stringify(arr, null, 4);
        fs.writeFileSync(file, writing);
    }

    send() {
        this.notifications = this.read();
		if(this.notifications.length != 0 && this.notifications.length != undefined) {
            renderer().open('popup', 'notification', this.notifications[this.notifications.length - 1]);
            emit('hasNotification', true);
        }
    }

}

module.exports = new WLDNotifications();