const WLDTimer = require('./WLDTimer');
const WLDDebug = require('./WLDDebug');
const WLDConfig = require('./WLDConfig');

const glConfig = WLDConfig;
const tempoLibera = new WLDTimer();

// const CTBASETEMPO = 1000 //debug
// const CTTEMPOLIBERA = 15000 // debug

const CTBASETEMPO = 100;
const CTIGNORA = glConfig.readInt('settings', 'ignore', 1);
const CTTEMPOLIBERA = glConfig.readInt('settings', 'libera', 2) * 60 * 1000; // 10 * 60 segundos * 1000

class WLDCapsula {
    constructor(paCv) {
        this.cor;
        this.loop;
        this.tempo;
        this.etapa;
        this.media;
        this.ignora;
        this.ctTempo;
        this.fotoAtual;
        this.resultado;
        this.cv = paCv;
        this.intervalo; //em ms
        this.tarefa = 0;
        this.fim = true;
        this.CTINTERVALO;
        this.media_corte;
        this.fotoLiberada;
        this.extenso = '';
        this.estado = false;
        this.tentativas = 2;
        this.tempoDecorrido;
        this.idIncubacao = 0;
        this.quantidadeDeFoto;
        this.flagCtTempo = false;
        this.porcentagemEnsaio = 0;
        this.glDebug = new WLDDebug(this.cv);
        this.WLDLog = (type, value) => console.log(`[${type}] -> ${value}`);
        
    }

    begin() {
        this.loop = setInterval(() => {
            if (!this.fim) {
                if (this.intervalo !== 0) { //intervalo entre fotos
                    this.intervalo -= CTBASETEMPO;
                }

                if (this.flagCtTempo) { //tempo restante da foto
                    (this.ctTempo !== 0) ? this.ctTempo -= CTBASETEMPO : this.flagCtTempo = false;
                }

                if(this.tempoDecorrido < this.tempo && this.fim == false) {
                    this.tempoDecorrido += CTBASETEMPO;
                }
            }
        }, 100);
    }

    close() {
        clearInterval(this.loop);
        this.loop = null;
    }

    startEnsaio() {
        this.media = 0;
        this.etapa = 0;
        this.fim = false;
        this.intervalo = 0;
        this.resultado = 0;
        this.tentativas = 2;
        this.media_corte = 0;
        this.ignora = CTIGNORA;
        this.tempoDecorrido = 0;
        this.flagCtTempo = false;
        this.ctTempo = this.tempo; 

        this.WLDLog('CAMERA',`tempo total: ${this.tempo}.`);
        let intervaloFoto = glConfig.readInt('settings', 'photos_interval', 3) * 60 * 1000;
        this.CTINTERVALO = intervaloFoto;
        this.quantidadeDeFoto = Math.trunc((this.tempo / intervaloFoto) + 5);
        this.WLDLog('CAMERA',`quantidade de fotos: ${this.quantidadeDeFoto}.`);
        this.flagCtTempo = true;
        this.glDebug.write(`ensaio`,`${this.idIncubacao}`);
        this.begin();
        tempoLibera.setTimer(CTTEMPOLIBERA);
    }

    liberaMostra = () => tempoLibera.state();

    testaEnsaio() {
        let loRet = false;

        const fimTrue = this.fim === true;
        const fimFalse = this.fim === false;
        const passouMedia = this.media > this.media_corte;
        const tempoEstorou = this.tempoDecorrido >= this.tempo;

        if ((fimFalse && passouMedia && tempoLibera.state()) || tempoEstorou || fimTrue){
            (this.media > this.media_corte) ? this.resultado = true : this.resultado = false;
            loRet = true;
        }

        return loRet;
    }

    encerraEnsaio() {
        this.fim = true;
        this.intervalo = 0;
        this.flagCtTempo = false;
        this.quantidadeDeFoto = 0;
        this.close();
    }
}

module.exports = WLDCapsula;