const path = require('path');
const { BrowserWindow } = require('electron');

class WLDWindow {

    constructor() { this.win; }
        
    init() {

        this.win = new BrowserWindow({
            width: 1280,
            height: 720,
            show: false,
            frame: false,
            maxHeight: 720,
            maxWidth: 1280,
            minHeight: 720,
            minWidth: 1280,
            resizable: false,
            fullscreen: true,
            webPreferences: { preload: path.join(__dirname, '../preload.js') },
        });

        this.win.loadFile('src/main/index.html');

        this.win.on('ready-to-show', () => this.win.show());
        this.win.on('close', () => this.win = null);
        this.win.maximize();

        // this.win.webContents.openDevTools();
    }

    getWindow = () => this.win;

	test = ({ channel, data }) => this.emit(channel, data);

    emit = (channel, args) => this.win?.webContents?.send(channel, args);
    renderer = (args) => {
        const close = (mode, type, data = {}) => this.emit('render', { mode, type, visible: false, data });
        const open = (mode, type, data = {}) => this.emit('render', { mode, type, visible: true, data });
    
        if(args) return this.emit('render', args);
    
        return { open, close }
    }

}

module.exports = new WLDWindow();

// const path = require('path');
// const { BrowserWindow } = require('electron');

// const WINDOWS_TYPES = require('./WLDWindowTypes');

// class WLDWindow {

//     constructor() { 
//         this.windows = {};
//     }
        
//     init(type, params, dev = false) {

//         const windowOptions = WINDOWS_TYPES[type];

//         if(!windowOptions) {
//             throw new Error(`Window type ${type} is not defined.`);
//         }

//         const win = new BrowserWindow(windowOptions);
//         this.windows[type] = win;

//         if(windowOptions.loadFile) {
//             win.loadFile(windowOptions.loadFile);
//         }

//         win.webContents.on('did-finish-load', () => {
//             win.webContents.send('init-params', params);
//         });

//         win.on('ready-to-show', () => win.show());
//         win.on('close', () => {
//             delete this.windows[type];
//         });

//         if(dev) {
//             win.webContents.openDevTools();
//         }
//     }

//     getWindow(type) {
//         return this.windows[type] || null;
//     }

//     emit({ channel, data }) {
//         const win = this.getWindow('MAIN');

//         console.log(win)

//         if (win) {
//             win.webContents.send(channel, data);
//         }
//     }

//     renderer({ channel, data }) {
//         const win = this.getWindow('MAIN');

//         if (win) {
//             const emit = (channel, args) => win.webContents.send(channel, args);

//             const close = () => emit('render', { mode: 'close', type, visible: false, data });
//             const open = () => emit('render', { mode: 'open', type, visible: true, data });

//             if (channel) {
//                 emit(channel, data);
//             } else {
//                 return { open, close };
//             }
//         }
//     }
// }

// module.exports = new WLDWindow();