import { useState } from 'react';

export default function DateContainer() {

    const [hours, setHours] = useState([]);
    const [minutes, setMinutes] = useState([]);
    const [current, setCurrent] = useState({
        day: '01',
        hour: '00',
        year: '2023',
        month: 'Jan',
        minute: '00',
    });
    
    const [days, setDays] = useState([]);
    const [months, setMonths] = useState([]);
    const [years, setYears] = useState([]);

    const [selectedHour, setSelectedHour] = useState('00');
    const [selectedMinute, setSelectedMinute] = useState('00');

    const [selectedDay, setSelectedDay] = useState('01');
    const [selectedMonth, setSelectedMonth] = useState('Jan');
    const [selectedYear, setSelectedYear] = useState(2023);

    const tableDay = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
    const tableMes = ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12'];
    // const tableMes = ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'];

    const ENDYEAR = 2050;
    const HOURSINDAY = 24;
    const MONTHSINYEAR = 12;
    const MINUTESINHOUR = 60;
    const INITIALYEAR = 2023;

    const close = () => window.api.renderer().close('settings', 'date');

    function confirm() {
        const day = selectedDay.toString().padStart(2,0);
        const hour = selectedHour.toString().padStart(2,0);
        const year = selectedYear.toString().padStart(2,0);
        const month = selectedMonth.toString().padStart(2,0);
        const minute = selectedMinute.toString().padStart(2,0);

        console.log(` ${month}`)

        const date = `${year}${month}${day}${hour}${minute}00`;

        window.api.send('DATE/change', date);

        close();
    }

    function generate() {

        generateDays(1, 2023);

        setHours([]);
        setYears([]);
        setMonths([]);
        setMinutes([]);
        
        for (let hours = 0; hours < HOURSINDAY; hours++) setHours(prev => [...prev, hours]);
        for (let year = INITIALYEAR; year <= ENDYEAR; year++) setYears(prev => [...prev, year]);
        for (let months = 1; months <= MONTHSINYEAR; months++) setMonths(prev => [...prev, months]);
        for (let minutes = 0; minutes < MINUTESINHOUR; minutes++) setMinutes(prev => [...prev, minutes]);
    }
    
    function generateDays(month, year) {

        setDays([]);
        
        let day = tableDay[month - 1];
        if (month === 2 && year % 4 === 0) day = 29;
        
        for (let i = 1; i <= day; i++) setDays(prev => [...prev, i]);
    }

    return {
        _data: {
            functions: {
                close,
                confirm,
                generate,
                generateDays,
                setSelectedDay,
                setSelectedHour,
                setSelectedMinute,
                setSelectedMonth,
                setSelectedYear,
            },
            selected: {
                selectedHour,
                selectedMinute,

                selectedDay,
                selectedMonth,
                selectedYear,
            },
            select_props: {
                days:    { array: days,    type: 'day',    begin: selectedDay,    func: ({ value }) => setSelectedDay(value) },
                years:   { array: years,   type: 'year',   begin: selectedYear,   func: ({ value }) => setSelectedYear(value) },
                hours:   { array: hours,   type: 'hour',   begin: selectedHour,   func: ({ value }) => setSelectedHour(value) },
                minutes: { array: minutes, type: 'minute', begin: selectedMinute, func: ({ value }) => setSelectedMinute(value) },
                months:  { array: months,  type: 'month',  begin: tableMes[selectedMonth - 1],  func: ({ options: { selectedIndex } }) => setSelectedMonth(selectedIndex), label: tableMes },
            },
            current,
        },
        setCurrent,
    }

}