import { useState } from "react";

export default function InputContainer() {

    const renderer = window.api.renderer;
    const translate = window.language.translate

    const [input_mode,            setModeInput] = useState('');
    const [input_current_id,      setCurrentId] = useState('');
    const [input_header,          setInputHeader] = useState('');
    const [input_editing,         setInputEditing] = useState('');
    const [input_user_text_one,   setInputUserTextOne] = useState('');
    const [input_user_text_two,   setInputUserTextTwo] = useState('');
    const [input_user_selected,   setInputUserSelected] = useState('');
    const [input_equip_text_one,  setInputEquipTextOne] = useState('');
    const [input_equip_text_two,  setInputEquipTextTwo] = useState('');

    return {
        _data: {
            header: input_header,
            mode: input_mode,
            id: input_current_id,
            user_first_field: {
                isTwo: false, 
                placeholder: translate(15), 
                text: input_user_text_one, 
                callbacks: { f: () => renderer().open('screen', 'keyboard', { id: 'input/user/one', placeholder: 15 }) }
            },
            user_second_field: {
                isTwo: false, 
                placeholder: translate(20), 
                text: input_user_text_two, 
                callbacks: { f: () => renderer().open('screen', 'keyboard', { id: 'input/user/two', placeholder: 20 }) }
            },
            equip_first_field: {
                isTwo: false, 
                placeholder: translate(25), 
                text: input_equip_text_one, 
                callbacks: { f: () => renderer().open('screen', 'keyboard', { id: 'input/equip/one', placeholder: 25 }) }
            },
            equip_second_field: {
                isTwo: false, 
                placeholder: translate(138), 
                text: input_equip_text_two, 
                callbacks: { f: () => renderer().open('screen', 'keyboard', { id: 'input/equip/two', placeholder: 138 }) }
            },
            selection: input_user_selected,
            setSelection: setInputUserSelected,
            editing: input_editing,
        },
        setCurrentId,
        setModeInput,
        setInputHeader,
        setInputEditing,
        setInputUserTextOne,
        setInputUserTextTwo,
        setInputEquipTextOne,
        setInputEquipTextTwo,
        setInputUserSelected,
    }
}