const WLDDatabase = require('../WLD/WLDDatabase');
const { translate } = require('../WLD/WLDLanguage');
const { renderer, emit } = require('../WLD/WLDWindow');
const { Alerta } = require('../WLD/WLDAlert');
const { WLD } = require('../WLD/WLDUtils');

const glBD = WLDDatabase;

class EditController {
    editVerify = async (data) => {
		const { data: { type, info: { id }}} = data;

		const count = await glBD.getData('verify', id, (type === 'users') ? 'id_user' : 'id_equip');
		if (count > 0) return Alerta('edit', translate(140), translate(26), null, translate(11));

		renderer(data);
	}

	editChange = async ({ type, data }) => {
		const doneOne   = await glBD.editData(type, { _old: (type == 'users') ? 'pwd'  : 'code',  _new: (type == 'users') ? data['pwd']  : data['code'],  _id: data['id'], _type: (type == 'users') ? 'id_user' : 'id_equip' });
		const doneTwo   = await glBD.editData(type, { _old: (type == 'users') ? 'name' : 'brand', _new: (type == 'users') ? data['name'] : data['brand'], _id: data['id'], _type: (type == 'users') ? 'id_user' : 'id_equip' });
		const doneThree = await glBD.editData(type, { _old: (type == 'users') ? 'type' : 'model', _new: (type == 'users') ? data['type'] : data['model'], _id: data['id'], _type: (type == 'users') ? 'id_user' : 'id_equip' });

		if (doneTwo && doneThree, doneOne) setTimeout(() => this.editList(type), 100)
	}

	editAdd = async ({ type, data }) => {
		await glBD.insertNewData(type, data);
		setTimeout(() => this.editList(type), 100);
	}

	editDelete = async ({ type, id }) => {

		const compare    = (type === 'users') ? 'id_user' : 'id_equip';
		const compare_id = (type === 'users') ? id : id + 1;

		const { count } = await glBD.getData('verify', compare_id, compare);
		if (count > 0) return Alerta('edit', translate(28), translate(26), null, translate(11));

		await glBD.deleteData(type, compare_id, compare);
		setTimeout(() => this.editList(type), 100);
	}

	editList = async (type) => {
		const list = await glBD.getDatas(type);
		if (list) renderer().open('settings', 'edit', { list, header: type });
	}

	erroEdit = (args) => {
		if (args) return Alerta('camera', translate(139), translate(8), null, translate(17));
		Alerta('camera', translate(139), translate(8), null, translate(17));
	}

	open = async (args) => renderer({ ...args, data: { ...args['data'], list: await glBD.getDatas(args['data']['header']) }});
}

module.exports = new EditController();