module.exports = {
    printerTesting: async () => {
		const data = await glPrinter.isConected();
		if(data) return setTimeout(() => glPrinter.testPrinter({ number: this.info['serial_number'], date: this.getDate('dd/mm/yyyy'), hour: this.getTime('hh:mm') }), 1000);

		this.Alerta('printer', this.translate(62), this.translate(26), null, this.translate(63));
		return WLD.log('PRINT', 'Não foi possível imprimir, impressora não esta conectada.');
	},
	addPrint: (data) => glBD.insertNewData('prints', data),
	checkPrint: async () => {
		if(!glPrinter.readPrint()) {
			const result = await glBD.getData('prints');

			if(result?.id_essay) {

				const { id_essay } = result;
				await glBD.deleteQueue(id_essay);
				glPrinter.setPrint();
				this.print(id_essay);
			}
		}
	},
	
	print: async (id) => {
		
		const ensaio = await glBD.getData('default', id);
		
		if(ensaio) {
			const _print = this.factory('print', ensaio);
			
			if(_print.image == '../common/cancelado') {
				const data = await glPrinter.isConected();
				
				if(data) return setTimeout(() => glPrinter.print(_print), 1000);

				glPrinter.freePrint();

				this.Alerta('printer', this.translate(62), this.translate(26), null, this.translate(63));
				return WLD.log('PRINT', 'Não foi possível imprimir, impressora não esta conectada.');
			}

			const data = await glPrinter.isConected();

			if(data) {
				await glCamera.convertPhoto(_print.image, this.Capsula[_print.cavidade]);
				return setTimeout(() => glPrinter.print(_print), 1000);
			}
			
			glPrinter.freePrint();
			this.Alerta('printer', this.translate(62), this.translate(26), null, this.translate(63));
			WLD.log('PRINT', 'Não foi possível imprimir, impressora não esta conectada.');
		}
	}
}