const { WLD } = require("../WLD/WLDUtils");
const WLDUpdate = require('../WLD/WLDUpdate');
const WLDSerial = require('../WLD/WLDSerial');
const { Alerta } = require('../WLD/WLDAlert');
const WLDWifi = require('../WLD/WLDWifi');
const { renderer }  = require('../WLD/WLDWindow');
const { translate } = require('../WLD/WLDLanguage');

module.exports = {
    checkUpdate: async () => {

        const isConnected = await WLDWifi.isConnected();

        if(isConnected == 'disabled') return Alerta('camera', 'wifi desabilitado', translate(26), null, translate(11));
        if(!isConnected || isConnected == 'error') return Alerta('camera', 'sem conexão com a internet', translate(26), null, translate(11));

        const state = await WLDSerial.checkState();

		if (!state) {
			Alerta('camera', translate(135), translate(26), null, translate(11));
			return WLD.log('EXPORT', 'Não é possível realizar essa ação com testes em andamento.');
		}

        renderer({ mode: 'settings', type: 'config', visible: false });

        const hasUpdate = await WLDUpdate.checkUpdate(true);

        if(hasUpdate != true) return Alerta('camera', translate(170), translate(164), null, translate(12));

        Alerta('camera', translate(168), translate(164), translate(32), translate(31));
    },
    Download: async () => WLDUpdate.makeDownload()
}
