const { WLD } = require("../WLD/WLDUtils");
const WLDWifi = require('../WLD/WLDWifi');

const { Alerta } = require('../WLD/WLDAlert');
const { translate } = require('../WLD/WLDLanguage');
const { emit, renderer } = require('../WLD/WLDWindow');

class WifiController {
	connect = async ({ ssid, password }) => {

		renderer().close('settings', 'wifi');

		if(ssid == WLDWifi.getConnectedNetwork()) {
			emit('wifi', true);
			return Alerta('wifi', translate(12), translate(42), null, translate(11));
		}

		WLDWifi.delete(ssid);

		Alerta('wifi', translate(7), translate(40));

		const result = await WLDWifi.connect(ssid, password);

		if (!result || result.substring(0, 4) == 'Erro') {
			emit('wifi', WLDWifi.getState());
			renderer().close('settings', 'wifi');
			emit('wifiConnected', WLDWifi.getConnectedNetwork());
			Alerta('wifi', translate(41), translate(26), null, translate(11));
			
			return WLD.log('DEBUG',`erro ao conectar`);
		}

		emit('wifi', WLDWifi.getState());
		renderer().close('settings', 'wifi', { ssid });
		emit('wifiConnected', WLDWifi.getConnectedNetwork());
		Alerta('wifi', translate(12), translate(42), null, translate(11));

	}

	open = (args) => renderer({ ...args, data: { list: WLDWifi.scan() }});

	delete = () => {
		const networks = WLDWifi.scan();

		if(networks.length > 0) networks.map(name => WLDWifi.delete(name));

		const cons = WLDWifi.listCon();

		if(cons.length > 0) cons.map(name => WLDWifi.delete(name));

		Alerta('wifi', 'conexões apagadas', translate(42), null, translate(11));
		emit('wifiConnected', WLDWifi.getConnectedNetwork());
		emit('wifi', false);
	}

	enable = (args) => WLDWifi.setState(args);
}

module.exports = new WifiController();