import React from 'react';
import { Warning } from '../../main/icons';

export default function Popup(data) {

    const translate = window.language.translate

    const { _render, _show, _essays, _result, _alerta, _start, _selection, _menu } = data;

    const _results = {
        0: 51, // Em Andamento,
        1: 54, // Positivo,
        2: 55, // Negativo,
        3: 52, // Cancelado, 
        99: ''
    }

    const _icons = {
        168: <Warning data={{ size: 35 }} />,
        '': ''
    }

    const _select = {
        61: (args) => {

            const { visible, data: { db, selected, id }} = args;

            if(selected) {
                if(selected['id'] !== '' && selected['editing'] == 61) _start.setUserSelectedStart({ id: selected['id'], name: selected['name'] });
                return _render.enableSelection(visible);
            }

            const __array = [];
            const _users = db?.user || [];

            _users.map((user) => (user['type'] > 1) && __array.push({ id: user['id_user'], name: user['name'] }));
            _selection.setArraySelection(__array);
            
            _selection.setEditingIdSelection(id);
            _selection.setEditingSelection(translate(id));
            _render.enableSelection(visible);
        },
        47: (args) => {

            const { visible, data: { db, selected, id }} = args;

            if(selected) {
                if(selected['id'] !== '' && selected['editing'] == 47) _start.setEquipSelectedStart({ id: selected['id'], name: selected['name'] });
                return _render.enableSelection(visible);
            }

            const _array = [];
            const _autoclaves = db?.equip || [];
            _autoclaves.map((auto) => (auto['model'] != 'CONTROLE') && _array.push({ id: auto['id_equip'], name: auto['model'] }));

            _selection.setArraySelection(_array);
            _selection.setEditingIdSelection(id);
            _selection.setEditingSelection(translate(id));
            _render.enableSelection(visible);
        },
        48: (args) => {

            const { visible, data: { type, selected, id }} = args;

            const type60 = [
                { id: 119, name: translate(119) },
                { id: 122, name: translate(122) },
                { id: 120, name: translate(120) },
                
                { id: 123, name: translate(123) },
                
                { id: 121, name: translate(121) },
                { id: 124, name: translate(124) },
            ]
            const type37   = [
                { id: 2,   name: translate(2) },
                { id: 203, name: translate(203) }
            ]

            if(selected) {
                if(selected['id'] !== '' && selected['editing'] == 48) _start.setTypeSelectedStart({ id: selected['id'], name: selected['name'] })
                return _render.enableSelection(visible);
            }

            (type) 
                ? _selection.setArraySelection(type60)
                : _selection.setArraySelection(type37);
            
            _selection.setEditingIdSelection(id);
            _selection.setEditingSelection(translate(id));
            _render.enableSelection(visible);
        },
        56: (args) => {

            const { visible, data: { selected, id }} = args;

            const teste    = [{ id: 149,  name: translate(149) }]
            const controle = [{ id: 71,   name: translate(71) }]

            if(selected) {
                if(selected['id'] !== ''  && selected['editing'] == 56) _start.setSlotSelectedStart({ id: selected['id'], name: selected['name'] });
                return _render.enableSelection(visible);
                // (selected['name'] === 'CONTROLE') ? setDisabledStart(true) : setDisabledStart(false)
            }

            _selection.setEditingIdSelection(id);
            _selection.setEditingSelection(translate(id));
            _selection.setArraySelection([ teste[0], controle[0] ]);
            _render.enableSelection(visible);
            
        },
    }

    const _popup = {
        none: () => {
            _render.enableShow(false);
            _render.enableZoom(false);
            _render.enableResult(false);
        },
        start: ({ 
            visible, 
            data,
            data: { 
                database, 
                type = false, slot = 0, 
                database: { user = [], equip = [] } = {}, 
                default: { type37 = 0, type60 = 0, ampoule = 0 } = {} 
            } = {}
        }) => {

            if(!visible) {
                _start.setloteText('');
                _start.setCicloText('');
                _selection.setCurrentSelected({ id: '', name: '' })
                return _render.enableStart(visible);
            }

            if(user.length < 1 || equip.length < 2) {
                _alerta.setPrinterTextAlerta(translate(10));
                _alerta.setPrinterTitleAlerta(translate(8));
                _alerta.setPrinterButtonAlerta(translate(11));
                _alerta.setPrinterButton2Alerta(null);
                return _render.enableAlertaPrinter(true);
            }

            const { id_equip, name: model } = equip[0];
            const { id_user,  name: name_user } = user[0];

            const type_selected = type ? type60 : type37;

            _start.setTypeStart(type);
            _start.setSlotStart(slot + 1);
            _start.setDatabaseStart(database);

            _start.setEquipSelectedStart({ id: id_equip,      name: model });
            _start.setUserSelectedStart({  id: id_user,       name: name_user });
            _start.setSlotSelectedStart({  id: ampoule,       name: translate(ampoule) });
            _start.setTypeSelectedStart({  id: type_selected, name: translate(type_selected) });

            _render.enableStart(visible);
        },
        show: ({ visible, data: { slot, type }}) => {

            if(!visible) return _render.enableShow(visible);

            _show.setTypeShow(type);
            _show.setSlotShow(slot + 1);
            _render.enableShow(visible);
        },
        error: ({ visible, data: { slot, qrcode }}) => {
            _show.setTypeShow(1);
            _show.setSlotShow(slot + 1);
            _show.setQrCodeShow(qrcode);
            _render.enableShow(true);
        },
        wait: ({ visible, data: { slot, qrcode }})  => {
            _show.setTypeShow(0);
            _show.setSlotShow(slot + 1);
            _show.setQrCodeShow(qrcode);
            _render.enableShow(true);
        },
        cancel: ({ visible, data: { type, number, time, qrcode, slot: { color }}}) => {

            if(!visible) return _render.enableResult(visible);

            let { percent, minutes, hours } = window.math.calculate(time);
            if (percent > 99) percent = 99;

            _result.setCanceledResult(true);

            _result.setTypeResult(type);
            _result.setColorResult(color);
            _result.setNumberResult(number);
            _result.setQrCodeResult(qrcode);
            _result.setPercentResult(percent);
            _result.setTimeResult(`${hours}H${minutes}`);

            _render.enableResult(visible);
        },
        zoom: (args) => {
            const { visible, data: { image = '', status = '' } = {} } = args;
            if (!visible) return _render.enableZoom(visible);

            // console.log(`zoom: ${JSON.stringify(args)}`)

            window.variables.set_hold_zoom(args);
            window.api.send('readImage', { img: image, type: 'imageZoom', status });
        },
        result: (args) => {
            const { visible, data: { image = '',  } = {} } = args;
            if (!visible) return _render.enableResult(visible);

            window.variables.set_hold_result(args);
            window.api.send('readImage', { img: image, type: 'imageResult' });
        },
        essays: ({ visible, data }) => {
            if(!visible) return _render.enableEssays(visible);
            
            _render.enableEssays(visible);

            const array = [];

            data.map(({ type, date, model, cavity, id_essay, duration, result }) => {
                const _data = { 
                    type, date,
                    id_essay,
                    incub: id_essay,
                    cavity: (cavity + 1).toString().padStart(2, 0),
                    equip: (model != 'CONTROLE') ? model      : '',
                    hour:  (duration == 0)       ? '00:00:00' : duration,
                }

                if(isNaN(result)) result = 99;

                _data.type = translate(type);
                _data.result = translate(_results[result]);

                array.push(_data);
            }) 

            _essays.setEssaysArray(array.reverse());
        },
        alerta: (data) => {

            const { visible, data: { botao: button, botao2: button2, texto: text, titulo: title, type }} = data;

            switch(type) {
                case 'wifi':
                    _alerta.setWifiTextAlerta(text);
                    _alerta.setWifiTitleAlerta(title);
                    _alerta.setWifiButtonAlerta(button);
                    _alerta.setWifiButton2Alerta(button2);
                    _render.enableAlertaWifi(visible);
                break
                case 'edit':
                    _alerta.setEditTextAlerta(text);
                    _alerta.setEditTitleAlerta(title);
                    _alerta.setEditButtonAlerta(button);
                    _alerta.setEditButton2Alerta(button2);
                    _render.enableAlertaEdit(visible);
                break
                case 'camera':
                    _alerta.setCameraTextAlerta(text);
                    _alerta.setCameraTitleAlerta(title);
                    _alerta.setCameraButtonAlerta(button);
                    _alerta.setCameraButton2Alerta(button2);
                    _render.enableAlertaCamera(visible);
                break
                case 'printer':
                    _alerta.setPrinterTextAlerta(text);
                    _alerta.setPrinterTitleAlerta(title);
                    _alerta.setPrinterButtonAlerta(button);
                    _alerta.setPrinterButton2Alerta(button2);
                    _render.enableAlertaPrinter(visible);
                break
                case 'temperature':
                    _alerta.setTemperatureTextAlerta(text);
                    _alerta.setTemperatureTitleAlerta(title);
                    _alerta.setTemperatureButtonAlerta(button);
                    _alerta.setTemperatureButton2Alerta(button2);
                    _render.enableAlertaTemperature(visible);
                break
                case 'pdf':
                    _alerta.setPdfTextAlerta(text);
                    _alerta.setPdfTitleAlerta(title);
                    _alerta.setPdfButtonAlerta(button);
                    _alerta.setPdfButton2Alerta(button2);
                    _render.enableAlertaPdf(visible);
                break
                case 'clearDatabase':
                    _alerta.setClearDatabaseTextAlerta(text);
                    _alerta.setClearDatabaseTitleAlerta(title);
                    _alerta.setClearDatabaseButtonAlerta(button);
                    _alerta.setClearDatabaseButton2Alerta(button2);
                    _render.enableAlertaClearBD(visible);
                break
            }
            
        },

        menu: ({ visible }) => _render.enableMenu(visible),
            
        closeAlerta: () => _render.enableAlerta(false),

        select: (props) => {
            const { data: { id }} = props;

            const renderSelect = _select[id];
		    if (renderSelect) renderSelect(props);
        },

        notification: ({ data: { id, icon, date }}) => {
            _menu.setIdTextNotification(id);
            _menu.setIconNotification(_icons[icon]);
            _menu.setDateNotification(date);
            _menu.enableNotification(true);
        }
    }

    return _popup;
}