export default function Screen({ _render, _report, _keyboard, _input, _wifi, _start }) {

    const translate = window.language.translate

    const __keyboards = {
        'lote':  (value) => _start.setloteText(value),
        'ciclo': (value) => _start.setCicloText(value),
        'wifi':  (value) => _wifi.setWifiPassword(value),
        'input/user/one':  (value) => _input.setInputUserTextOne(value),
        'input/user/two':  (value) => _input.setInputUserTextTwo(value),
        'input/equip/one': (value) => _input.setInputEquipTextOne(value),
        'input/equip/two': (value) => _input.setInputEquipTextTwo(value),
    }

    const _screen = {
        none: () => _render.enableReport(false),
        slots: () => { 
            _render.enableLoading(false); 
            _render.enableSlots(true);
        },
        loading: () => { _render.enableLoading(true); _render.enableTemperature(false); },
        temperature: () => {
            _render.enableTemperature(true)
            _render.enableSlots(false);
        },
        processo: (args) => {
            const { visible, data: { photo = '', status= '' } = {}} = args;
            if (!visible) return _render.enableReport(visible);

            window.variables.set_hold_processo(args);
            window.api.send('readImage', { img: photo, type: 'imageProcesso', status });
        },
        keyboard: ({ visible, data: { id = '', placeholder = '' } = {}}) => {
            if(!visible) return _render.enableKeyboard(visible);
            
            _keyboard.setSelectedId(id);
            _keyboard.setKeyboardMode(0);
            _keyboard.setKeyboardText('');
            _render.enableKeyboard(visible);
            _keyboard.setKeyboardPlaceholder(translate(placeholder));
        },
        handleKeyboard: ({ data: { id, value }}) => {
            _keyboard.setKeyboardText('');
            __keyboards[id](value);
        },
    }

    return _screen;
}




